/* This file contains stub implementations of the AUTOSAR RTE functions.
   The stub implementations can be used for testing the generated code in
   Simulink, for example, in SIL/PIL simulations of the component under
   test. Note that this file should be replaced with an appropriate RTE
   file when deploying the generated code outside of Simulink.

   This file is generated for:
   Atomic software component:  "HighBeamAssist"
   ARXML schema: "R21-11"
   File generated on: "30-Jun-2024 21:10:52"  */

#ifndef Rte_HighBeamAssist_h
#define Rte_HighBeamAssist_h
#include "Rte_Type.h"
#include "Compiler.h"

/* Data access functions */
#define Rte_IRead_Runnable_MS_RPort_KeySW_state Rte_IRead_HighBeamAssist_Runnable_MS_RPort_KeySW_state

boolean Rte_IRead_Runnable_MS_RPort_KeySW_state(void);

#define Rte_IRead_Runnable_MS_RPort_Mode_mode Rte_IRead_HighBeamAssist_Runnable_MS_RPort_Mode_mode

HeadlampModes Rte_IRead_Runnable_MS_RPort_Mode_mode(void);

#define Rte_IRead_Runnable_HL_RPort_Distance_Distance Rte_IRead_HighBeamAssist_Runnable_HL_RPort_Distance_Distance

uint32 Rte_IRead_Runnable_HL_RPort_Distance_Distance(void);

#define Rte_IRead_Runnable_HL_RPort_VehicleSpeed_Speed Rte_IRead_HighBeamAssist_Runnable_HL_RPort_VehicleSpeed_Speed

uint32 Rte_IRead_Runnable_HL_RPort_VehicleSpeed_Speed(void);

#define Rte_IWrite_Runnable_HL_PPort_Lamps_values Rte_IWrite_HighBeamAssist_Runnable_HL_PPort_Lamps_values

void Rte_IWrite_Runnable_HL_PPort_Lamps_values(const boolean* u);

#define Rte_IWriteRef_Runnable_HL_PPort_Lamps_values Rte_IWriteRef_HighBeamAssist_Runnable_HL_PPort_Lamps_values

boolean* Rte_IWriteRef_Runnable_HL_PPort_Lamps_values(void);

#define Rte_IRead_Runnable_HL_RPort_LightIntensity_Intensity Rte_IRead_HighBeamAssist_Runnable_HL_RPort_LightIntensity_Intensity

uint32 Rte_IRead_Runnable_HL_RPort_LightIntensity_Intensity(void);

/* IRV functions */
#define Rte_IrvIWrite_Runnable_MS_IRV_ModeOut Rte_IrvIWrite_HighBeamAssist_Runnable_MS_IRV_ModeOut

void Rte_IrvIWrite_Runnable_MS_IRV_ModeOut(HeadlampModes u);

#define Rte_IrvIRead_Runnable_HL_IRV_ModeOut Rte_IrvIRead_HighBeamAssist_Runnable_HL_IRV_ModeOut

HeadlampModes Rte_IrvIRead_Runnable_HL_IRV_ModeOut(void);

/* Entry point functions */
extern FUNC(void, HighBeamAssist_CODE) Runnable_Init(void);
extern FUNC(void, HighBeamAssist_CODE) Runnable_MS(void);
extern FUNC(void, HighBeamAssist_CODE) Runnable_HL(void);

#endif
